//  Copyright 2004 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.hivemind.sdl.parser;


/**
 * Subclass of {@link SystemParseException} that supports
 * a wrapped exception (typically a {@link org.xml.sax.SAXException}.
 * 
 * <p>Note: this class will not be needed if we restrict HiveMind to
 * just JDK 1.4 and above, since it already has a facility for "attaching"
 * a root cause to an arbitrary exception.
 *
 * @author Howard Lewis Ship
 */
public class SystemParseException extends ParseException
{
	private Throwable _rootCause;
	
	public SystemParseException(Throwable rootCause)
	{
		super(rootCause == null ? null : rootCause.getMessage());
	}
	
	public Throwable getRootCause()
	{
		return _rootCause;
	}
}
