//  Copyright 2004 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package hivemind.test.servlet;

import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import javax.servlet.RequestDispatcher;
import javax.servlet.Servlet;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;

/**
 * Mock implementation of ServletContext.
 *
 * @author Howard Lewis Ship
 */
public class MockServletContext implements ServletContext
{
	private Map _attributes = new HashMap();

    public ServletContext getContext(String arg0)
    {
        return null;
    }

    public int getMajorVersion()
    {
        return 0;
    }

    public int getMinorVersion()
    {
        return 0;
    }

    public String getMimeType(String arg0)
    {
        return null;
    }

    public Set getResourcePaths(String arg0)
    {
        return null;
    }

    public URL getResource(String arg0) throws MalformedURLException
    {
        return null;
    }

    public InputStream getResourceAsStream(String arg0)
    {
        return null;
    }

    public RequestDispatcher getRequestDispatcher(String arg0)
    {
        return null;
    }

    public RequestDispatcher getNamedDispatcher(String arg0)
    {
        return null;
    }

    public Servlet getServlet(String arg0) throws ServletException
    {
        return null;
    }

    public Enumeration getServlets()
    {
        return null;
    }

    public Enumeration getServletNames()
    {
        return null;
    }

    public void log(String arg0)
    {

    }

    public void log(Exception arg0, String arg1)
    {

    }

    public void log(String arg0, Throwable arg1)
    {

    }

    public String getRealPath(String arg0)
    {
        return null;
    }

    public String getServerInfo()
    {
        return null;
    }

    public String getInitParameter(String arg0)
    {
        return null;
    }

    public Enumeration getInitParameterNames()
    {
        return null;
    }

    public Object getAttribute(String name)
    {
        return _attributes.get(name);
    }

    public Enumeration getAttributeNames()
    {
        return null;
    }

    public void setAttribute(String name, Object value)
    {
		_attributes.put(name, value);
    }

    public void removeAttribute(String name)
    {
    	_attributes.remove(name);

    }

    public String getServletContextName()
    {
        return null;
    }

}
